Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044344
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-06-11 11:452020-07-08 12:33
Reporterjorge-garciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044344: Some keys in keyboard could make the browser to navigate to home page

DescriptionSome keys in keyboard could make the browser to navigate to home page.

In this cases, TerminalLog is registering the evens as Typed: BrowserHome .

Steps To ReproduceThe idea (if possible) is to try to avoid this event in our code to avoid strange application behaviors.

This issue is only reproducible if your keyboard has a similar key as shown in the image borwser_home_keyboard.png
TagsNo tags attached.
Attached Filespng file icon browser_home_keyboard.png [^] (4,216,145 bytes) 2020-06-11 11:45

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121311)
hgbot (developer)
2020-07-08 06:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/30 [^]
(0121326)
hgbot (developer)
2020-07-08 12:33

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: b5a07c5cc5a1efa582928751eb25b314f996d2eb
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-07-08T16:03:41+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/b5a07c5cc5a1efa582928751eb25b314f996d2eb [^]

Fixed issue-44344: Prevent Keyboard Browser key events

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---

- Issue History
Date Modified Username Field Change
2020-06-11 11:45 jorge-garcia New Issue
2020-06-11 11:45 jorge-garcia Assigned To => Retail
2020-06-11 11:45 jorge-garcia File Added: browser_home_keyboard.png
2020-06-11 11:45 jorge-garcia Triggers an Emergency Pack => No
2020-07-05 18:02 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-08 06:08 hgbot Note Added: 0121311
2020-07-08 06:15 ranjith_qualiantech_com Status new => scheduled
2020-07-08 12:33 hgbot Resolution open => fixed
2020-07-08 12:33 hgbot Status scheduled => closed
2020-07-08 12:33 hgbot Note Added: 0121326


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker